#include "shapes.inc"
#include "colors.inc"
#include "stones.inc"
#include "woods.inc"

camera 	{
location <-1.5, 1.9, -6.5>	
look_at <-1.5, 1.9, 0>
}

difference {
	cylinder {
   	<-4.1, 4.7, .5>,
   	<-4.1, 4.7, .4>, .4
   	texture {T_Stone21}
	} 
	
	cylinder {
	<-4.1, 4.7, .3>,
	<-4.1, 4.7, .5>, .25
	}
}

/*sphere {
	<-4.1, 4.7, .5>, .25
	texture {T_Stone21}
	}

*/

difference {
	cylinder {
   	<-3.1, 4.7, .5>,
   	<-3.1, 4.7, .4>, .4
   	texture {T_Stone19}
	} 
	
	cylinder {
	<-3.1, 4.7, .3>,
	<-3.1, 4.7, .5>, .25
	}
}

/*
sphere {
	<-3.1, 4.7, .5>, .25
	texture {T_Stone19}
	}
*/

difference {
	cylinder {
   	<-2.1, 4.7, .5>,
   	<-2.1, 4.7, .4>, .4
   	texture {T_Stone18}
	} 
	
	cylinder {
	<-2.1, 4.7, .3>,
	<-2.1, 4.7, .5>, .25
	}
}

/*
sphere {
	<-2.1, 4.7, .5>, .25
	texture {T_Stone18}
	}
*/

difference {
	cylinder {
   	<-1.1, 4.7, .5>,
   	<-1.1, 4.7, .4>, .4
   	texture {T_Stone17}
	} 
	
	cylinder {
	<-1.1, 4.7, .3>,
	<-1.1, 4.7, .5>, .25
	}
}

/*
sphere {
	<-1.1, 4.7, .5>, .25
	texture {T_Stone17}
	}
*/

difference {
	cylinder {
   	< -.1, 4.7, .5>,
   	< -.1, 4.7, .4>, .4
   	texture {T_Stone10}
	} 
	
	cylinder {
	< -.1, 4.7, .3>,
	< -.1, 4.7, .5>, .25
	}
}
/*
sphere {
	<-.1, 4.7, .5>, .25
	texture {T_Stone10}
	}
*/

difference {
	cylinder {
   	<  .9, 4.7, .5>,
   	<  .9, 4.7, .4>, .4
   	texture {T_Stone13}
	} 
	
	cylinder {
	<  .9, 4.7, .3>,
	<  .9, 4.7, .5>, .25
	}
}
/*
sphere {
	<.9, 4.7, .5>, .25
	texture {T_Stone13}
	}
*/
box {
   <-9, 9, .6> , <9, -9,.5>
	texture {T_Wood12}
}

difference {
	
	box {
		<-4.5, 4, 0> , <1.5, -1.5,.5>
		texture {T_Stone20}

	}
	
	union {


	sphere {
		<-4.0, 3.5, -.1>,.2
	}
	sphere {
		<-3.4, 3.5, -.1>,.2
	}
	sphere {
		<-2.8, 3.5, -.1>,.2
	}
	sphere {
		<-2.2, 3.5, -.1>,.2
	}
	

	sphere {
		<-4.0, 3.0, -.1>,.2
	}
	sphere {
		<-3.4, 3.0, -.1>,.2
	}
	sphere {
		<-2.8, 3.0, -.1>,.2
	}
	sphere {
		<-2.2, 3.0, -.1>,.2
	}




	sphere {
		<-4.0, 2.5, -.1>,.2
	}
	sphere {
		<-3.4, 2.5, -.1>,.2
	}
	sphere {
		<-2.8, 2.5, -.1>,.2
	}
	sphere {
		<-2.2, 2.5, -.1>,.2
	}



	sphere {
		<-4.0, 2.0, -.1>,.2
	}
	sphere {
		<-3.4, 2.0, -.1>,.2
	}
	sphere {
		<-2.8, 2.0, -.1>,.2
	}
	sphere {
		<-2.2, 2.0, -.1>,.2
	}



	sphere {
		<-4.0, 1.5, -.1>,.2
	}
	sphere {
		<-3.4, 1.5, -.1>,.2
	}
	sphere {
		<-2.8, 1.5, -.1>,.2
	}
	sphere {
		<-2.2, 1.5, -.1>,.2
	}



	sphere {
		<-4.0, 1.0, -.1>,.2
	}
	sphere {
		<-3.4, 1.0, -.1>,.2
	}
	sphere {
		<-2.8, 1.0, -.1>,.2
	}
	sphere {
		<-2.2, 1.0, -.1>,.2
	}



	sphere {
		<-4.0, .5, -.1>,.2
	}
	sphere {
		<-3.4, .5, -.1>,.2
	}
	sphere {
		<-2.8, .5, -.1>,.2
	}
	sphere {
		<-2.2, .5, -.1>,.2
	}



	sphere {
		<-4.0, -.5, -.1>,.2
	}
	sphere {
		<-3.4, -.5, -.1>,.2
	}
	sphere {
		<-2.8, -.5, -.1>,.2
	}
	sphere {
		<-2.2, -.5, -.1>,.2
	}



	sphere {
		<-4.0, -1.0, -.1>,.2
	}
	sphere {
		<-3.4, -1.0, -.1>,.2
	}
	sphere {
		<-2.8, -1.0, -.1>,.2
	}
	sphere {
		<-2.2, -1.0, -.1>,.2
	}



	sphere {
		<-4.0, 0, -.1>,.2
	}
	sphere {
		<-3.4, 0, -.1>,.2
	}
	sphere {
		<-2.8, 0, -.1>,.2
	}
	sphere {
		<-2.2, 0, -.1>,.2
	}


	texture {T_Stone20}
	}
}


light_source {
 <15, 10, -7>, White
}

light_source {
 <-15, 10, -10>, White
}
